const path = require("path");
const webpack = require("webpack");
const merge = require("webpack-merge");
const CopyWebpackPlugin = require("copy-webpack-plugin");
const CleanWebpackPlugin = require("clean-webpack-plugin");
const baseConf = require("./webpack.base.conf");
const { resolve } = require("./util");

module.exports = merge(baseConf, {
  devtool: "#source-map",
  plugins: [
    new webpack.DefinePlugin({
      "process.env.NODE_ENV": '"production"'
    }),
    new CleanWebpackPlugin(["dist/*.*"]),
    new webpack.LoaderOptionsPlugin({
      minimize: true
    })
  ]
});
